org.apache.solr.client.solrj.io.stream

## Class JavabinTupleStreamParser

- java.lang.Object
- - org.apache.solr.common.util.JavaBinCodec
  - - org.apache.solr.client.solrj.io.stream.JavabinTupleStreamParser

All Implemented Interfaces:
  Closeable, AutoCloseable, TupleStreamParser, PushWriter

    public class JavabinTupleStreamParser
    extends JavaBinCodec
    implements TupleStreamParser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.common.util.JavaBinCodec

`JavaBinCodec.BinEntryWriter, JavaBinCodec.ObjectResolver, JavaBinCodec.StringBytes, JavaBinCodec.StringCache, JavaBinCodec.WritableDocFields`

### Field Summary

### Fields inherited from class org.apache.solr.common.util.JavaBinCodec

`ARR, BOOL_FALSE, BOOL_TRUE, BYTE, BYTEARR, daos, DATE, DOUBLE, END, END_OBJ, ENUM_FIELD_VALUE, ew, EXTERN_STRING, FLOAT, INT, itemWriter, ITERATOR, LONG, MAP, MAP_ENTRY, MAP_ENTRY_ITER, NAMED_LST, NULL, ORDERED_MAP, readStringAsCharSeq, SHORT, SINT, SLONG, SOLRDOC, SOLRDOCLST, SOLRINPUTDOC, STR, TAG_AND_LEN, tagByte`

### Constructor Summary

Constructors
Constructor and Description
`JavabinTupleStreamParser(InputStream is, boolean onlyJsonTypes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`Map<String,Object>` `next()`
`protected Object` `readObject(DataInputInputStream dis)`

### Methods inherited from class org.apache.solr.common.util.JavaBinCodec

`createSolrInputDocument, getResolver, getTotalBytesWritten, init, initRead, initRead, initWrite, marshal, newMap, readArray, readByteArray, readEnumFieldValue, readExternString, readIterator, readMap, readMapEntry, readMapIter, readNamedList, readOrderedMap, readSize, readSmallInt, readSmallLong, readSolrDocument, readSolrDocumentList, readSolrInputDocument, readStr, readStr, readUtf8, readVal, readVInt, readVLong, setReadStringAsCharSeq, setWritableDocFields, toWrite, unmarshal, unmarshal, writeArray, writeArray, writeArray, writeBoolean, writeByteArray, writeDouble, writeEnumFieldValue, writeExternString, writeFloat, writeInt, writeIterator, writeIterator, writeKnownType, writeLong, writeMap, writeMap, writeMapEntry, writeNamedList, writePrimitive, writeSolrDocument, writeSolrDocumentList, writeSolrInputDocument, writeStr, writeTag, writeTag, writeUTF8Str, writeVal, writeVInt, writeVLong`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavabinTupleStreamParser

    public JavabinTupleStreamParser(InputStream is,
                                    boolean onlyJsonTypes)
                             throws IOException

Throws:
  `IOException`

### Method Detail

#### readObject

    protected Object readObject(DataInputInputStream dis)
                         throws IOException

Overrides:
  `readObject` in class `JavaBinCodec`
Throws:
  `IOException`

#### next

    public Map<String,Object> next()
                            throws IOException

Specified by:
  `next` in interface `TupleStreamParser`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `JavaBinCodec`
Throws:
  `IOException`